<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title th:text="'Список сотрудников компании ' + ${company.companyName}"></title>
</head>
<body>

<h1 th:text="'Отчет по сотрудникам компании ' + ${company.companyName} + ' ' + ${reportMap['period']}" ></h1>

<div  th:if="${#lists.isEmpty(employeeList)}">
    <h3><i>В компании за указанный период сотрудники отсутствуют</i></h3>
</div>


<div  th:unless="${#lists.isEmpty(employeeList)}">
    <h3 th:text="'Общая сумма выплат по сотрудникам с учетом социальных отчислений (СО) и отчислений на обязательное социальное медицинское страхование (ОСМС): ' + ${reportMap['companyTotal']}"></h3>

    <table border="2" width="100%">
        <thead>
            <tr>
                <th>ФИО</th>
                <th>Оклад</th>
                <th>Фактический оклад</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="employeeMap: ${employeeList}">
                <td th:text="${employeeMap['FIO']}"></td>
                <td th:text="${employeeMap['grossSalary']}"></td>
                <td th:text="${employeeMap['attendanceSalary']}"></td>
            </tr>
        </tbody>
    </table>
    <p th:text="'Дата/время формирования отчета (Время астанинское): ' + ${reportMap['createdAt']}"></p>
</div>

</body>
</html>